# GazeImg v1.4.2
- GazeImg 是一个优雅且轻量的**图片懒加载** `jQuery` 插件。
- GazeImg is a `beautyful`、`lightful` **image lazy load plugin** for `jQuery`.

</br>
</br>

## 为什么选择 GazeImg
除了基础图片懒加载所具有的功能（只加载可视范围内图片，已缓存图片不再请求，错误请求反馈）外，GazeImg 还具有：

**懒。** 在页面调用 GazeImg 后，你只需要为图片加上 data-gisrc 属性即可：
```html
<img data-gisrc='https://www.mcadmin.cn/img/emoji/pusheen-follow.gif' />
```
**优雅。** GazeImg 支持图片蒙版和其自带默认的 HTML&CSS3 加载动画，并且会自动获取图片尺寸。若要使用图片蒙版，你只需要为 img 元素加上 src 属性即可。
```html
<img data-gisrc='https://www.mcadmin.cn/img/emoji/pusheen-follow.gif' src='https://www.mcadmin.cn/favicon.ico' />
```
**自定义。** 除了 GazeImg 自动获取图片蒙版尺寸，你也可以为其指定。且该尺寸支持自适应：
```html
<img data-gisrc='https://www.mcadmin.cn/img/emoji/pusheen-follow.gif' gimask-size='224,134' />
```
或者直接将其写在 `data-gisrc` 中：
```html
<img data-gisrc="https://www.mcadmin.cn/img/emoji/pusheen-follow.gif size='224px,134px'" />
```
**多功能。** GazeImg 还具有单独查看图片的弹窗功能，只需加上 data-gazeimg 属性即可：
```html
<img data-gisrc='https://www.mcadmin.cn/img/emoji/pusheen-follow.gif' data-gazeimg />
```
此外，如果你有使用 pjax 或 ajax，使用以下代码即可为新出现的图片进行初始化：
```javascript
$('img[data-gisrc]:not([data-gi-init])').giLazy();
```

</br>
</br>

## 安装
将在需要使用 GazeImg 的页面调用 `gazeimg.css` 与 `gazeimg.min.js` 即可。

</br>
</br>

## Demo
[http://www.ganxiaozhe.com/p/gazeimg/](http://www.ganxiaozhe.com/p/gazeimg/)
